- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# vmware_host_scanhba – Rescan host HBA’s and optionally refresh the storage system

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module can force a rescan of the hosts HBA subsystem which is needed when wanting to mount a new datastore.

- You could use this before using vmware_host_datastore to mount a new datastore to ensure your device/volume is ready.

- You can also optionally force a Refresh of the Storage System in vCenter/ESXi Web Client.

- All parameters and VMware object names are case sensitive.

- You can supply an esxi_hostname or a cluster_name

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- PyVmomi

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
cluster_name string |  | Cluster name to Rescan the storage subsystem on (this will run the rescan task on each host in the cluster).
esxi_hostname string |  | ESXi hostname to Rescan the storage subsystem on.
hostname string |  | The hostname or IP address of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead. Environment variable support added in Ansible 2.6.
password string |  | The password of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. Environment variable support added in Ansible 2.6. aliases: pass, pwd
port integer added in 2.5 | Default: 443 | The port number of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PORT` will be used instead. Environment variable support added in Ansible 2.6.
proxy_host string added in 2.9 |  | Address of a proxy that will receive all HTTPS requests and relay them. The format is a hostname or a IP. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_HOST` will be used instead. This feature depends on a version of pyvmomi greater than v6.7.1.2018.12
proxy_port integer added in 2.9 |  | Port of the HTTP proxy that will receive all HTTPS requests and relay them. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_PORT` will be used instead.
refresh_storage boolean | Choices: no ← yes | Refresh the storage system in vCenter/ESXi Web Client for each host found
username string |  | The username of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. Environment variable support added in Ansible 2.6. aliases: admin, user
validate_certs boolean | Choices: no yes ← | Allows connection when SSL certificates are not valid. Set to `false` when certificates are not trusted. If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead. Environment variable support added in Ansible 2.6. If set to `yes`, please make sure Python >= 2.7.9 is installed on the given machine.

## Notes

Note

- Tested on vSphere 6.0

## Examples

    - name: Recan HBA's for a given ESXi host and refresh storage system objects
      vmware_host_scanhba:
          hostname: '{{ vcenter_hostname }}'
          username: '{{ vcenter_username }}'
          password: '{{ vcenter_password }}'
          esxi_hostname: '{{ inventory_hostname }}'
          refresh_storage: true
      delegate_to: localhost

    - name: Rescan HBA's for a given cluster - all found hosts will be scanned
      vmware_host_scanhba:
          hostname: '{{ vcenter_hostname }}'
          username: '{{ vcenter_username }}'
          password: '{{ vcenter_password }}'
          esxi_hostname: '{{ inventory_hostname }}'
          refresh_storage: true
      delegate_to: localhost

    - name: Recan HBA's for a given ESXi host and don't refresh storage system objects
      vmware_host_scanhba:
          hostname: '{{ vcenter_hostname }}'
          username: '{{ vcenter_username }}'
          password: '{{ vcenter_password }}'
          esxi_hostname: '{{ inventory_hostname }}'
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
result dictionary | always | return confirmation of requested host and updated / refreshed storage system Sample: {'esxi01.example.com': {'rescaned_hba': 'true', 'refreshed_storage': 'true'}}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Michael Eaton (@michaeldeaton)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.